gtkglextmm: Gdk::GL::Pixmap Class Reference

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Gdk::GL::Pixmap Class Reference
[GL Drawables]

`#include <pixmap.h>`

Inheritance diagram for Gdk::GL::Pixmap:

[legend]
Collaboration diagram for Gdk::GL::Pixmap:

[legend]
List of all members.

## Public Member Functions
virtual | ~Pixmap ()
GdkGLPixmap * | gobj ()
| Provides access to the underlying C GObject.
const GdkGLPixmap * | gobj () const
| Provides access to the underlying C GObject.
GdkGLPixmap * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Gdk::Pixmap > | get_pixmap ()
Glib::RefPtr< const Gdk::Pixmap > | get_pixmap () const
## Static Public Member Functions
static Glib::RefPtr< Pixmap > | create (const Glib::RefPtr< const Config > &glconfig, const Glib::RefPtr< const Gdk::Pixmap > &pixmap, const int *attrib_list=0)
## Protected Member Functions
| Pixmap (const Glib::RefPtr< const Config > &glconfig, const Glib::RefPtr< const Gdk::Pixmap > &pixmap, const int *attrib_list=0)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gdk::GL::Pixmap > | wrap (GdkGLPixmap *object, bool take_copy=false)

## Detailed Description

OpenGL pixmap which is maintained offscreen.

## Constructor & Destructor Documentation

virtual Gdk::GL::Pixmap::~Pixmap | ( |  | ) | `[virtual]`

Gdk::GL::Pixmap::Pixmap | ( | const Glib::RefPtr< const Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::Pixmap > & | pixmap,
|  | const int * | attrib_list = `0`
| ) | `[protected]`

## Member Function Documentation

static Glib::RefPtr<Pixmap> Gdk::GL::Pixmap::create | ( | const Glib::RefPtr< const Config > & | glconfig,
|  | const Glib::RefPtr< const Gdk::Pixmap > & | pixmap,
|  | const int * | attrib_list = `0`
| ) | `[static]`

Glib::RefPtr<const Gdk::Pixmap> Gdk::GL::Pixmap::get_pixmap | ( |  | ) | const

| Returns the Gdk::Pixmap associated with glpixmap . Notice that Gdk::GLPixmap is not Gdk::Pixmap, but another Gdk::Drawable which have an associated Gdk::Pixmap. Returns: The Gdk::Pixmap associated with glpixmap .

Glib::RefPtr<Gdk::Pixmap> Gdk::GL::Pixmap::get_pixmap | ( |  | ) |

| Returns the Gdk::Pixmap associated with glpixmap . Notice that Gdk::GLPixmap is not Gdk::Pixmap, but another Gdk::Drawable which have an associated Gdk::Pixmap. Returns: The Gdk::Pixmap associated with glpixmap .

const GdkGLPixmap* Gdk::GL::Pixmap::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gdk::GL::Drawable.

GdkGLPixmap* Gdk::GL::Pixmap::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Gdk::GL::Drawable.

GdkGLPixmap* Gdk::GL::Pixmap::gobj_copy | ( |  | ) |

| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::GL::Pixmap > wrap | ( | GdkGLPixmap * | object,
|  | bool | take_copy = `false`
| ) | `[related]`

  | Parameters:
  | object | The C instance
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.
Returns: A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/gl/pixmap.h